stages:
    - prepare
    - analyze
    - build
    - test

variables:
    GIT_SUBMODULE_STRATEGY: normal

dapcash-node-analyze:
    stage: analyze
    tags:
    - dapcash-node
    script: ~/production/integration/PVS-studio/analyze.sh
    artifacts:
      paths:
      - report/issues.txt
    when: always

dapcash-node-schedule:
    stage: build
    tags:
    - dapcash-node
    only:
    - master
    - /^release.*$/
    - /^pubtest.*$/
    script: ~/production/integration/gitlab-CI/build_all_handler.sh dapcash-node 

dapcash-node-test:
    stage: build
    tags:
    - dapcash-node
    except:
    - master
    - /^release.*$/
    - /^pubtest.*$/
    script: ~/production/integration/gitlab-CI/build_test_handler.sh dapcash-node
